Bug 26665 - OAI 'Set' and 'Metadata' dropdowns broken
Summary: OAI 'Set' and 'Metadata' dropdowns broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-13 10:40 UTC by Katrin Fischer
Modified: 2021-06-14 21:35 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
With OAI-PMH enabled, if you clicked on Sets or Metadata in the search results no additional information was displayed (example query: <OPACBaseURL>/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21). This patch fixes this so that the additional information for Sets and Metadata is now correctly displayed.
Version(s) released in:
21.05.00,20.11.01


Attachments
Bug 26665: (bug 20168 follow-up) Fix path to bootstrap js file (1.50 KB, patch)
2020-12-02 13:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26665: (bug 20168 follow-up) Fix path to bootstrap js file (1.55 KB, patch)
2020-12-03 19:12 UTC, David Nind
Details | Diff | Splinter Review
Bug 26665: (bug 20168 follow-up) Fix path to bootstrap js file (1.61 KB, patch)
2020-12-04 09:27 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-10-13 10:40:47 UTC
Looks like a reappearance of bug 25793. It's not possible to get to the information from the graphical GUI, although records are displaying in the source.
Comment 1 Jonathan Druart 2020-12-02 13:34:11 UTC
Request URL: http://kohadev.mydnsname.org:8080/opac-tmpl/bootstrap/lib/bootstrap/js/bootstrap.min.js
Request Method: GET
Status Code: 404 Not Found
Comment 2 Jonathan Druart 2020-12-02 13:36:46 UTC
Created attachment 114095 [details] [review]
Bug 26665: (bug 20168 follow-up) Fix path to bootstrap js file

20168 moved it to /opac-tmpl/bootstrap/lib/bootstrap/js/bootstrap.bundle.min.js

It fixed the OAI-PMH view

Test plan:
Hit <OPACBaseURL>/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21
and confirm that you can click "Metadata" and it opens
Comment 3 David Nind 2020-12-03 19:12:09 UTC
Created attachment 114164 [details] [review]
Bug 26665: (bug 20168 follow-up) Fix path to bootstrap js file

20168 moved it to /opac-tmpl/bootstrap/lib/bootstrap/js/bootstrap.bundle.min.js

It fixed the OAI-PMH view

Test plan:
Hit <OPACBaseURL>/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21
and confirm that you can click "Metadata" and it opens

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2020-12-03 19:15:04 UTC
Notes from testing (koha-testing-docker):

1. Enable OIA-PMH - set the OAI-PMH system preference to Enable.
2. Visit <OPACBaseURL>/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21
3. If you click Metadata for any of the search results it does not open to display additional information.
4. Apply the patch (and flush_memcached and restart_all).
5. Repeat step 2 (or refresh the page).
6. Now if you click on Metadata for one of the search results it will now open to display the additional information.
7. Sign off!
Comment 5 Julian Maurice 2020-12-04 09:27:07 UTC
Created attachment 114181 [details] [review]
Bug 26665: (bug 20168 follow-up) Fix path to bootstrap js file

20168 moved it to /opac-tmpl/bootstrap/lib/bootstrap/js/bootstrap.bundle.min.js

It fixed the OAI-PMH view

Test plan:
Hit <OPACBaseURL>/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21
and confirm that you can click "Metadata" and it opens

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Jonathan Druart 2020-12-04 16:04:49 UTC Comment hidden (obsolete)
Comment 7 Fridolin Somers 2020-12-07 08:07:54 UTC
Pushed to 20.11.x for 20.11.01
Comment 8 Jonathan Druart 2020-12-07 16:54:04 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Andrew Fuerste-Henry 2020-12-15 20:35:39 UTC
Doesn't apply cleanly to 20.05.x, please rebase if needed